package cn.efunbox.audio.controller.hag;

import cn.efunbox.audio.service.hag.HagContentService;
import cn.efunbox.audio.vo.hag.HagContentReq;
import cn.efunbox.audio.vo.hag.HagBaseResp;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * HagContentController
 * Created by xusq on 2019/12/25.
 */
@RequestMapping("/api/hag/v1/content")
@RestController
public class HagContentController {

    @Autowired
    private HagContentService hagContentService;

    @PostMapping
    public HagBaseResp content(@RequestBody HagContentReq hagContentReq){
        return hagContentService.list(hagContentReq);
    }
}
