package cn.efunbox.audio.controller.res;

import cn.efunbox.audio.service.res.GetTypeService;
import cn.efunbox.audio.utils.ResApiCode;
import cn.efunbox.audio.utils.ResApiResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.text.ParseException;

/**
 * GetTypeController
 * Created by wangys on
 */
@RestController
@RequestMapping
public class GetTypeController {

    @Autowired
    private GetTypeService getTypeService;

    @RequestMapping(value = "/getTypeUpdateList")
    public ResApiResult getTypeUpdateList(@RequestHeader(value = "USERID",required = false) String USERID, String beginTime, String order) {
        try {
            return getTypeService.getTypeUpdateList(beginTime, order);
        } catch (ParseException e) {
            e.printStackTrace();
        }
        return ResApiResult.error(ResApiCode.NOT_FOUND);
    }
}
