package cn.efunbox.audio.entity;


import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 系统管理员
 * Created by yao on 17-9-26.
 */


@Data
@ToString
@Entity
@DynamicInsert
@DynamicUpdate
public class Admin implements Serializable, Cloneable {

    @Id
    private Long id;

    //用户名
    @Column
    private String name;

    //密码
    @Column
    private String pwd;

    //salt
    @Column
    private String salt;

    //每次登陆后生成的新token
    @Column
    private String token;

    //渠道id
    @Column
    private Long idChannel = 0L;

    @Column
    private Integer status;

    @Column
//    @Temporal(TemporalType.TIMESTAMP)
//    private Date created;
    private Timestamp created;

    public Object clone() throws CloneNotSupportedException {
        return super.clone();
    }


}
