package cn.efunbox.audio.entity.hag;

import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * HagAlbum
 * Created by xusq on 2019/12/25.
 */
@Data
@ToString
@Entity
@Table(name = "hag_album")
@DynamicInsert
@DynamicUpdate
public class HagAlbum implements Serializable {

    @Id
    private String id;

    @Column(name = "album_name")
    private String albumName;

    @Column(name = "artist_name")
    private String artistName;

    private Integer chapter;

    @Column(name = "charge_type")
    private Integer chargeType;

    @Column(name = "relate_cp_sku_id")
    private String relateCpSkuId;

    private String crowd;

    @Column(name = "first_class")
    private String firstClass;

    @Column(name = "second_class")
    private String secondClass;

    @Column(name = "third_class")
    private String thirdClass;

    private Integer status;

    @Column(name = "song_num")
    private Integer songNum;

    @Column(name = "large_icon")
    private String largeIcon;

    @Column(name = "medium_icon")
    private String mediumIcon;

    @Column(name = "small_icon")
    private String smallIcon;

    @Column(name = "height_pixels")
    private String heightPixels;

    @Column(name = "width_pixels")
    private String widthPixels;

    @Column(name = "gmt_created")
    private Date gmtCreated;

    @Column(name = "gmt_modified")
    private Date gmtModified;

}
