package cn.efunbox.audio.entity.res;

import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@ToString
@Entity
@DynamicInsert
@DynamicUpdate
@Data
@Table(name = "res_album")
public class ResAlbum {

    @Id
    private String contentId;

    @Column(name = "content_name")
    private String contentName;

    @Column(name = "shortrecommend")
    private String shortrecommend;

    @Column(name = "longrecommend")
    private String longrecommend;

    @Column(name = "author")
    private String author;

    @Column(name = "reader_name")
    private String readerName;

    @Column(name = "content_pic_url")
    private String contentPicUrl;

    @Column(name = "chapter_count")
    private String chapterCount;

    @Column(name = "cooperation_pay_mode")
    private String cooperationPayMode;

    @Column(name = "pay_mode")
    private String payMode;

    @Column(name = "price")
    private String price;

    @Column(name = "playcount")
    private Long playcount;

    @Column(name = "media_type")
    private String mediaType;

    @Column(name = "sort")
    private String sort;

    @Column(name = "type_id")
    private String typeId;

    @Column(name = "is_del")
    private String isDel;
    @Column(name = "renewal")
    private String renewal;

    @Column(name = "publish_time")
    private String publishTime;

    @Column(name = "gmt_created")
    private Date gmtCreated;

    @Column(name = "gmt_modified")
    private Date gmtModified;
}
