package cn.efunbox.audio.repository.hag;

import cn.efunbox.audio.entity.hag.HagProduct;
import cn.efunbox.audio.repository.base.BasicRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.Date;
import java.util.List;

/**
 * HagProductRepository
 * Created by xusq on 2019/12/25.
 */
public interface HagProductRepository extends BasicRepository<HagProduct> {

    List<HagProduct> findByGmtModifiedAfter(Date date);

    long countByGmtModifiedAfter(Date date);

    @Query(value = "select * from hag_product where gmt_modified > ?1 order by gmt_modified LIMIT ?2,?3",nativeQuery = true)
    List<HagProduct> findByGmtModifiedAfterPage(Date date, Integer start, Integer limit);
}
