package cn.efunbox.audio.vo.hag;

import cn.efunbox.audio.entity.hag.HagContent;

import java.util.Objects;

/**
 * AlbumConverter
 * Created by xusq on 2019/12/26.
 */
public class ContentConverter {

    private ContentConverter(){}

    public static ContentVO contentToContentVO(HagContent content){

        if (Objects.isNull(content)) {
            return null;
        }

        ContentVO contentVO = new ContentVO();

        contentVO.setType("CONTENT");
        ContentVO.Payload payload = new ContentVO.Payload();
        payload.setAlbumCode(content.getAlbumId());
        payload.setChapter(content.getChapter());
        payload.setContentCode(content.getId());
        payload.setContentName(content.getContentName());
        payload.setCrowd(content.getCrowd());
        payload.setFirstClass(content.getFirstClass());
        payload.setSecondClass(content.getSecondClass());
        payload.setThirdClass(content.getThirdClass());
        payload.setFreeFlag(content.getFreeFlag());
        payload.setTimeLength(content.getTimeLength());
        payload.setStatus(content.getStatus());
        payload.setLanguage(content.getLanguage());

        contentVO.setPayload(payload);

        return contentVO;
    }
}
