package cn.efunbox.audio.vo.hag;

import lombok.Data;

import java.io.Serializable;

/**
 * ContentVO
 * Created by xusq on 2019/12/25.
 */
@Data
public class ContentVO implements Serializable {

    private Payload payload;
    private String type;

    @Data
    public static final class Payload {

        private String albumCode;
        private String albumName;
        private String artistNames;
        private Integer chapter;
        private Integer chargeType;
        private String relateCpSkuId;
        private String crowd;
        private String firstClass;
        private String secondClass;
        private String thirdClass;
        private Integer songNum;
        private Integer status;
        private AlbumIconVO icon;
        private String contentCode;
        private String contentName;
        private String language;
        private Integer freeFlag;
        private String timeLength;

        @Data
        public static final class AlbumIconVO {

            private AlbumIconImageVO large;
            private AlbumIconImageVO medium;
            private AlbumIconImageVO small;

            @Data
            public static final class AlbumIconImageVO {

                private String heightPixels;
                private String url;
                private String widthPixels;
            }
        }


    }
}
